std::atomic_flag Struct Reference
Atomics
Inheritance diagram for std::atomic_flag:
[legend]

## Public Member Functions

| atomic_flag (const atomic_flag &)=delete
constexpr | atomic_flag (bool __i) noexcept
atomic_flag & | operator= (const atomic_flag &)=delete
atomic_flag & | operator= (const atomic_flag &) volatile=delete

## Public Attributes

__atomic_flag_data_type | _M_i

## Detailed Description

atomic_flag

Definition at line 275 of file atomic_base.h.

The documentation for this struct was generated from the following file:

- atomic_base.h